Subject: bug#10920: 24.0.93; Poor response to display size changes

From: Dave Abrahams <[email-masked]>
Date: Sat, 03 Mar 2012 10:48:15 -0500

on Sat Mar 03 2012, Jan Djärv <jan.h.d-AT-swipnet.se> wrote:

> Hello.
>
> 1 mar 2012 kl. 15:56 skrev Dave Abrahams <[email-masked]>:
>
>> 
>> It seems to me:
>> 
>> * When the display size changes, any visible frames that aren't completely
>>  visible should be moved/resised so they are
>
> This is not as easy as it seems. If you have Emacs spanning several
> monitors and one of them changes it is not obvious what to do. One
> could special case it for the single monitor case I guess.

It may have not been easy 15-20 years ago, but today it is a solved
problem.  Many other applications have worked out ways to deal with such
changes.  Emacs could simply emulate one of those.

>> * "maximized" should be remembered as part of the frame state, and when
>>  the display size changes, any previously-maximized frames should be
>>  re-maximized.
>
> As this is the work of the window manager in X11, the NS-port had no
> code to go by. How is this handeled in W32 which doesn't have a window
> manager either?

What little I ever knew about W32 has mostly faded by now... and I'm
pretty sure I never knew the answer to that question.

>> * The same goes for "fullscreen" (which IIUC is only supported via a
>>  patch that lives outside emacs, but I mention it here for
>>  completeness).
>> 
>
> The 10.7 style fullscreen does not have this problem, which is an
> argument for just supporting that type of fullscreen in 24.2.

Not really, IMO.  On the mac there's a green button in the upper left of
every application window that maximizes it.  You have to respond to that
button somehow and maximizing the frame is the right (and consistent)
response.

-- 
Dave Abrahams
BoostPro Computing
http://www.boostpro.com